### Signal

# Handy SwipeTracker::begin-swipe

#### Declaration

    void
    begin_swipe (
      HdySwipeTracker* self,
      HdyNavigationDirection direction,
      gboolean direct,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a possible swipe is detected.

The `direction` value can be used to restrict the swipe to a certain direction.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
Available since: | 1.0

#### Parameters

`direction` | `HdyNavigationDirection`
| The direction of the swipe.
`direct` | `gboolean`
| `TRUE` if the swipe is directly triggered by a gesture, `FALSE` if it’s triggered via a `HdySwipeGroup`